Bug 193641 - stops at netfs (mounting nfs 3 tcp filesystems) when booting
Summary: stops at netfs (mounting nfs 3 tcp filesystems) when booting
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: nfs-utils   
(Show other bugs)
Version: 4.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Steve Dickson
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-05-31 09:20 UTC by Denis Pugnere
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHEL4.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-21 10:11:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Denis Pugnere 2006-05-31 09:20:12 UTC
Description of problem:
sometimes, when booting, the boot sequence stops at the script
/etc/rc.d/init.d/netfs, at the line : 
   action $"Mounting NFS filesystems: " mount -a -t nfs,nfs4

we mount nfs v3 filesystems from a NetApp (v6.3.1) or another RHEL linux 4.x
box, the /etc/fstab is like : 
nfsserver:/home     /home      nfs    defaults    0  0

defaults means : nfs 3, tcp, rw

some of our RHEL boxes here have this problem sometimes yes...  sometimes no... 
either IP address fixed or dhcp
either in a VMPS vlan or not
with ethernet cards tg3, e1000 or 3c59x
tested with differents tcp nfs options : posix, rsize, wsize, timeo...

Version-Release number of selected component (if applicable):
kernels 2.6.9-34.EL, 2.6.9-22.0.2.EL (at least)
RHEL fully updated

How reproducible:
shutdown or power off the PC, boot,
we have no information on how to reproduce it. 
We didn't notice this problem when we switch to udp in the fstab.

we have some tcpdump captures on both conditions, when it works and when the
boot sequence hangs in the netfs script.

these capture are available on request.

Solution : 
switch to udp

Comment 1 Steve Dickson 2006-07-18 15:04:01 UTC
We have made some changes to the mount command that may
fixe this problem. Please update to the latest util-linux and glibc rpms.


Note You need to log in before you can comment on or make changes to this bug.